import { ElMessageBox } from "element-plus";

/*
 * @Author: Gui
 * @Date: 2023-10-10 11:13:51
 * @LastEditors: guicheng 1625811865@qq.com
 * @LastEditTime: 2024-10-08 14:54:50
 * @Description: kxs files
 * @filePath:
 */
export const tableSort = (option) => {
  let lastSelectValue = option.scope.row[option.fields]
  const sortChange = ({ row }, show) => {
    console.log({ row }, show);
    
    option.dataList.value[option.dataList.value.findIndex(item => row.id == item.id)].isSortChange = show;
  }
 return <div>
    {
      option.scope.row.isSortChange ?
      <el-input-number
         el-input-number
         size="small"
         class="!w-[120px]"
         min="0"
         v-model={option.scope.row[option.fields]}
         onChange={() => { 
          option.isTip ?
            ElMessageBox.confirm(
              `是否调整当前属性? `,
              "提示",
              {
                confirmButtonText: "调整",
                cancelButtonText: "取消",
                type: "warning"
              }
            ).then(async () => {
              lastSelectValue = option.scope.row[option.fields];
              sortChange(option.scope as any, false)
              option.callback(option.scope as any)
            }).catch(() => {
              option.scope.row[option.fields] = lastSelectValue;
              sortChange(option.scope as any, false)
            }) : (() => {
              sortChange(option.scope as any, false);
              option.callback(option.scope as any)
            })();
        }}
        >
      </el-input-number>
       :
       <div onClick={() =>sortChange(option.scope as any, true)}>{ option.scope.row[option.fields] }</div> 
    }
  </div>
};
