import { ElMessageBox } from "element-plus";

/*
 * @Author: Gui
 * @Date: 2023-10-10 11:13:51
 * @LastEditors: guicheng 1625811865@qq.com
 * @LastEditTime: 2024-10-08 14:54:02
 * @Description: kxs files
 * @filePath:
 */
export const tableSelect = (option) => {
  let lastSelectValue = option.scope.row[option.fields]
  const sexChange = ({ row }, show) => {
    option.dataList.value[option.dataList.value.findIndex(item => row.id == item.id)].isSelectChange = show;
  }
 return <div>
    {
      option.scope.row.isSelectChange ?
      <el-select
        class="!w-[100px]"
        size="small"
        v-model={option.scope.row[option.fields]}
        placeholder="请选择修改项"
        onChange={() => { 
          option.isTip ?
            ElMessageBox.confirm(
              `是否调整当前属性? `,
              "提示",
              {
                confirmButtonText: "调整",
                cancelButtonText: "取消",
                type: "warning"
              }
            ).then(async () => {
              lastSelectValue = option.scope.row[option.fields];
              sexChange(option.scope as any, false)
              option.callback(option.scope as any)
            }).catch(() => {
              option.scope.row[option.fields] = lastSelectValue;
              sexChange(option.scope as any, false)
            }) : (() => {
              sexChange(option.scope as any, false);
              option.callback(option.scope as any)
            })();
        }}
        >
        {option.mapList.map((item: any) => (
          <el-option label={item.label} value={item.id} />
        ))}
      </el-select>
      :
        <el-tag
          size={option.scope.props.size}
          type={option.mapList.find(item => item.id === option.scope.row[option.fields])?.type}
          effect={option.mapList.find(item => item.id === option.scope.row[option.fields])?.effect}
          onClick={() =>sexChange(option.scope as any, true)}
      >
        {option.mapList.find(item => item.id === option.scope.row[option.fields])?.label}
      </el-tag>
    }
  </div>
};
